%define lib_major  3
%define libname    %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:    Metacity window manager
Name:       metacity
Version:    3.38.0
Release:    %mkrel 1
License:    GPLv2+
Group:      Graphical desktop/GNOME
URL:        https://wiki.gnome.org/Metacity
Source0:    https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(pangoxft)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xres)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xpresent)
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: yelp-tools
BuildRequires: zenity

Requires:   zenity
Requires:   %{name}-schemas

Conflicts:  %{name}-schemas < 3.37.1-1

%description
Metacity is a window manager for the GNOME Desktop.

%package -n %{name}-schemas
Summary:        Gsettings schemas for %{name}
Group:          Graphical desktop/GNOME

%description -n %{name}-schemas
Gsettings schemas for %{name}.

%package -n %{libname}
Summary:        Libraries for Metacity
Group:          System/Libraries
Obsoletes:      %{_lib}metacity-private1 < 3.26.0

%description -n %{libname}
This package contains libraries used by Metacity.

%package -n %{libnamedev}
Summary:        Libraries and include files with Metacity
Group:          Development/GNOME and GTK+
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}metacity-private-devel < 3.26.0

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with Metacity.


%prep
%autosetup

%build
%configure --disable-static \
           --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc README NEWS HACKING
%license COPYING
%{_bindir}/*
%{_datadir}/gnome-control-center/keybindings/50-metacity*.xml
%{_datadir}/applications/metacity.desktop
%{_mandir}/man1/*

%files -n %{name}-schemas
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.theme.gschema.xml

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Tue Oct 13 2020 tv <tv> 3.38.0-1.mga8
+ Revision: 1635192
- fix deps + filelist
+ ovitters <ovitters>
- new version 3.38.0

* Thu Jun 11 2020 daviddavid <daviddavid> 3.37.1-1.mga8
+ Revision: 1592570
- new version 3.37.1

* Thu Mar 26 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1560869
- new version 3.36.1

* Thu Mar 05 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554115
- new version 3.36.0

* Wed Mar 04 2020 daviddavid <daviddavid> 3.35.92-1.mga8
+ Revision: 1553741
- new version 3.35.92

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1534949
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450350
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439366
- new version 3.34.0

* Sat Sep 07 2019 daviddavid <daviddavid> 3.33.92-1.mga8
+ Revision: 1438081
- new version 3.33.92

* Mon May 06 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1396414
- new version 3.32.0

* Sun Sep 09 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1258054
- new version 3.30.1

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1256985
- new version 3.30.0

* Sat Mar 17 2018 tarakbumba <tarakbumba> 3.28.0-1.mga7
+ Revision: 1210204
- Updated to 3.28.0 version

* Fri Dec 15 2017 wally <wally> 3.26.0-1.mga7
+ Revision: 1182712
- new version 3.26.0
- fix lib and devel pkg names

* Mon Sep 04 2017 cjw <cjw> 3.22.1-2.mga7
+ Revision: 1151242
- rebuild for new libgtop

* Sat Jan 21 2017 tarakbumba <tarakbumba> 3.22.1-1.mga6
+ Revision: 1082854
- Update to 3.22.1 version

* Mon Feb 08 2016 umeabot <umeabot> 2.34.13-8.mga6
+ Revision: 945374
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.34.13-7.mga5
+ Revision: 746158
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.34.13-6.mga5
+ Revision: 727235
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.34.13-5.mga5
+ Revision: 682366
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 2.34.13-4.mga5
+ Revision: 550186
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 2.34.13-3.mga4
+ Revision: 507954
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.34.13-2.mga3
+ Revision: 359988
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 2.34.13-1.mga3
+ Revision: 306760
- new version 2.34.13

* Mon Sep 03 2012 fwang <fwang> 2.34.8-1.mga3
+ Revision: 287567
- find all name
- update file list
- use itstool
+ ovitters <ovitters>
- new version 2.34.8

* Thu Aug 09 2012 ovitters <ovitters> 2.34.5-1.mga3
+ Revision: 280247
- new version 2.34.5

* Tue Mar 20 2012 ovitters <ovitters> 2.34.3-1.mga2
+ Revision: 225092
- new version 2.34.3

* Wed Feb 08 2012 ovitters <ovitters> 2.34.2-1.mga2
+ Revision: 206528
- update buildrequires
- clean spec
- update file list
- new version
- fix URL

* Fri Jan 20 2012 fwang <fwang> 2.34.1-5.mga2
+ Revision: 198770
- upload oxygen metacity theme
+ dmorgan <dmorgan>
- Add  libsm-devel as buildrequires to fix session management support
- Fix libs removal
- Get rid of .la files
- Seems ok to push it now
- Add comment to not upload metacity
+ mikala <mikala>
- Update tarball to 2.34.1
- Fix files list
- Disable patch2 & patch9

* Thu Mar 24 2011 boklm <boklm> 2.30.3-4.mga1
+ Revision: 76192
- rebuild for bug #497

* Sun Mar 20 2011 ahmad <ahmad> 2.30.3-3.mga1
+ Revision: 75068
- add patch from upstream to fix gdm-greeter pop-up message at login, this changes
  warn_about_lame_clients_and_finish_interact() to be called only when interacting
  with the window manager in a session save (thanks to misc)

* Wed Jan 19 2011 blino <blino> 2.30.3-2.mga1
+ Revision: 23756
- buildrequire libcanberra-gtk-devel since it has been split out
- remove old version in comments
- remove old theme upgrade trigger
- remove old scriptlets
- imported package metacity


* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 582072
- new version
- drop patch 0

* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 578755
- new version
- drop patches 6,7

* Mon May 03 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 541770
- Patch6 (GIT): remove session warning at startup (GNOME bug #577576)
- Patch7 (GIT): fix timestamp for focus stealing (GNOME bug #573922)
- Patch8: ensure text is local encoded for Zenity (GNOME bug #617536)

* Tue Apr 06 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 532287
- new version
- drop patch 6

* Fri Apr 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-2mdv2010.1
+ Revision: 530783
- Patch6: fix crash on rightclick on borders (Mdv bug #58520)

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 530532
- update to new version 2.30.0

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 496506
- update to new version 2.28.1

* Fri Oct 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0-3mdv2010.0
+ Revision: 459090
- Update default themes

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 2.28.0-2mdv2010.0
+ Revision: 450136
- use low resource mode on mips due to low end graphic cards
  (from Arnaud Patard)

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447374
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 437258
- update to new version 2.27.1

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 374234
- new version
- drop patches 5,6

* Wed Apr 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-3mdv2009.1
+ Revision: 367437
- Fix default theme for One and Powerpack

* Wed Apr 01 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 363325
- Add libcanberra-devel as buildrequires
- Update default theme color for Mdv 2009.1
- Patch5 (SVN): fix struts with auto-hidden panel (GNOME bug #572573)
- Patch6 (SVN): use libcanberra to play sound events (GNOME bug #557921)

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356168
- update to new version 2.26.0

* Sun Feb 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.144-1mdv2009.1
+ Revision: 336232
- update to new version 2.25.144

* Sat Dec 27 2008 Götz Waschk <waschk@mandriva.org> 2.25.89-1mdv2009.1
+ Revision: 319930
- new version
- drop patch 5

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.55-1mdv2009.1
+ Revision: 315967
- new version
- update patch 0

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.34-1mdv2009.1
+ Revision: 309097
- update to new version 2.25.34

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 2.25.13-1mdv2009.1
+ Revision: 306913
- update to new version 2.25.13

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.25.8-1mdv2009.1
+ Revision: 306234
- disable werror to make it build
- depend on zenity
- new version
- update file list

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.25.5-2mdv2009.1
+ Revision: 301477
- rebuilt against new libxcb

* Thu Oct 23 2008 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 296642
- update to new version 2.25.5

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 296547
- new version
- drop patches 0,1

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 296387
- fix build deps
- update file list
- new version
- patch to add sources missing from the tarball
- patch to fix linking
- update patch 2

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 293623
- new version
- update file list

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286846
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.610-1mdv2009.0
+ Revision: 283192
- new version
- update file list

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.377-1mdv2009.0
+ Revision: 279925
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.233-1mdv2009.0
+ Revision: 279562
- new version
- update file list

* Tue Aug 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-3mdv2009.0
+ Revision: 276236
- Update default theme to Ia Ora Smooth for all distro flavors

* Mon Aug 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-2mdv2009.0
+ Revision: 275900
- Patch5 (Fedora): don't move window across workspaces when raising (Mdv bug #25009) (GNOME bug #482354)

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.144-1mdv2009.0
+ Revision: 273301
- Release 2.23.144

* Wed Jul 23 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.55-2mdv2009.0
+ Revision: 242116
- Add xinerama devel libs to BR, ensure Xinerama support is always built

* Mon Jul 14 2008 Götz Waschk <waschk@mandriva.org> 2.23.55-1mdv2009.0
+ Revision: 234435
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.34-1mdv2009.0
+ Revision: 231170
- new version
- update license
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183169
- new version

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.21-2mdv2008.1
+ Revision: 178418
- Change theme for download and desktop meta-class, for Mandriva 2008.1

* Thu Feb 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.21-1mdv2008.1
+ Revision: 175974
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.21.13-1mdv2008.1
+ Revision: 165743
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.21.8-1mdv2008.1
+ Revision: 161960
- new version
- drop patches 5,6

* Fri Feb 01 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-4mdv2008.1
+ Revision: 161162
- Disable compositing for now, too many drivers have still buggy compositing support

  + Götz Waschk <waschk@mandriva.org>
    - remove wonderland theme

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-3mdv2008.1
+ Revision: 138764
- Patch6 (SVN): fix glitches in compositor (GNOME bug #504876, fix shadows)

* Thu Dec 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.5-2mdv2008.1
+ Revision: 138445
- Patch5 (SVN): use Composite Overlay Window from XComposite >= 0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 133880
- new version
- drop patch 3

* Wed Dec 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.3-2mdv2008.1
+ Revision: 133820
- Remove source2 and patch3 (no longer used)
- Patch3 (SVN): new compositor code, from Ian Holmes
- Patch4 : enable compositor mode by default

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 120712
- new version

* Sun Nov 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 109889
- new version

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 108092
- new version
- new version

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88438
- new version

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.55-2mdv2008.0
+ Revision: 81034
- Migrate default theme when upgrading from old distribution

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.55-1mdv2008.0
+ Revision: 59865
- update file list
- new version
- drop patch 4
- call intltoolize to fix build

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.34-2mdv2008.0
+ Revision: 58081
- Patch4: fix kill dialog text with non-UTF8 locale

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.34-1mdv2008.0
+ Revision: 54918
- new version
- new devel naming scheme

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.21-1mdv2008.0
+ Revision: 40820
- new version

* Mon Jun 11 2007 Götz Waschk <waschk@mandriva.org> 2.19.13-1mdv2008.0
+ Revision: 38000
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.8-1mdv2008.0
+ Revision: 35201
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 17809
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 14423
- new version
- update file list


* Fri Apr 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2007.1
+ Revision: 150772
- new version
- drop merged patches 4,5
- new version

* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 149095
- Patch5 (SVN): fix session hang (GNOME bug #407981)

* Thu Mar 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 148024
-Patch4 (CVS): fix rounder corners (GNOME bug #399373)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142147
- new version
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 126210
- new version

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 109607
- new version
- libcm 0.1.1

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 104750
- new libcm

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 94729
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 87631
- new version
- unpack patches
- Import metacity

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.0
- drop patches 4,5
- New version 2.16.3

* Wed Sep 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-4mdv2007.0
- Oops, Ia Ora Yellow is no more, should be Ia Ora Orange

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-3mdv2007.0
- Patch5 (CVS): fix window flashing/flickering (GNOME bug #332385)

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Patch4 (CVS): 64bits fixes (GNOME bug #348308)

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patch 4
- New version 2.16.1

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch4 (Elijah): fix bad focus assignation (GNOME bug #354422)

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.34-1mdv2007.0
- New release 2.15.34

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.21-2mdv2007.0
- Update patch2 to use Ia Ora Blue theme as default
- add post magic to register theme based on meta_class
- use more macros

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.21-1mdv2007.0
- New release 2.15.21

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.13-1
- New release 2.15.13

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.8-1mdv2007.0
- New release 2.15.8

* Wed Jun 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-1mdv2007.0
- Release 2.15.5
- libcm 0.22
- Remove patch4 (merged upstream)

* Sat Jun 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-5mdv2007.0
- Patch4 (CVS): fix crash when no compositor is running

* Fri Jun 09 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.3-4
- add BuildRequires: intltool

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-3mdv2007.0
- fix buildrequires

* Sun Jun 04 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-1mdv2007.0
- Release 2.15.3
- Source2: add libcm 0.0.21
- Patch3: build with static libcm

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.5-1mdk
- New release 2.14.5

* Sun Apr 16 2006 Götz Waschk <waschk@mandriva.org> 2.14.3-1mdk
- drop merged patch 3
- New release 2.14.3

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2
- Remove patch3 (merged upstream)
- Patch3 (CVS): allow choosing smart or strict focus

* Thu Mar 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Patch3 (Thomas Thurman): fix minimizing hidden windows (GNOME bug #315142)

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Fortify preun script

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patch2
- Remove patches 3, 4, 5, 6, 7, 8 (merged upstream)

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-3mdk
- Patch3 (CVS): optimize gradient computation
- Patch4 (CVS): improve round corners
- Patch5 (CVS): avoid obscuring centered-on-desktop windows which are denied focus
- Patch6 (CVS): fix flicker when focusing window
- Patch7 (CVS): restore size correctly
- Patch8 (CVS): fix modal dialog stacking

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.10.3-2mdk
- Fix BuildRequires

* Tue Jul 26 2005 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Götz Waschk package)
- Remove patch3 (merged upstream)

* Mon Mar 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.13-2mdk 
- Patch3: activate correct window when on different workspace

* Sun Feb 20 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.13-1mdk
- New release 2.8.13

* Tue Dec 07 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.8-1mdk
- drop patch 3
- New release 2.8.8

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.6-1mdk
- New release 2.8.6
- Remove patches 3, 4, 5, 6, 7, 8, 9 (merged upstream)
- Patch3 (Fedora): workaround right alt problem

* Wed Oct 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk
- Update patch6 to completely fix Mdk bug #10689 when using workspace switcher

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk
- Update patch6 with real fix for mdk bug #11359 (Thanks to Elijah)

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk
- Patch8 (CVS): fix choice of focus window to be consistent for each mode
- Patch9 (CVS): fix race in choosing window to focus
- Regenerate patch 6 (still doesn't fix Mdk bug #11359 completely)

* Sat Sep 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk
- Update patch 6 to also fix Mdk bug #11359

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk
- Patch4 (CVS): choose correct window to focus when unshowing desktop
- Patch5 (CVS): don't output warning when no session manager is running
- Patch6 (CVS): fix focus when using workspace switcher (Mdk bug #10689)
- Patch7 (CVS): assume sticky windows have high priority in MRU list

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk
- Drop patch 4 (no longer needed)
- enable libtoolize

* Thu May 06 2004 Götz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix source URL
- New release 2.8.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- Release 2.8.0 (with Götz help)

